%  raddec2.m
% Matlab file for Part 2 of the Radioactive Decay module

disp('********************************************')
disp('Part 2:  Rapid Decay')
disp('********************************************')
disp('  ')    

    format short

    disp('The Meyer-von Schweidler Data:')
    disp(' ')
    disp('Below find two lists.  The first is a list')
    disp('of times in days.  The second list gives the')
    disp('radioactivity level for each day.')
    disp(' ')
    disp('Follow the instructions below to enter the')
    disp('lists into MATLAB as row vectors.')
    disp(' ')
    disp('Copy the following commands and paste them as')
    disp('a group at a MATLAB prompt, then execute them.')
    disp(' ')
    disp(' time=[0.2, 2.2, 4.0, 5.0, 6.0, 8.0, 11.0, ...')
    disp('  12.0, 15.0, 18.4, 26.0, 33.0, 39.0, 45.0]; ')
    disp(' level=[35.0, 25.0, 22.1, 17.9, 16.8, 13.7, ...')
    disp('  12.4, 10.3, 7.5, 4.9, 4.0, 2.4, 1.4, 1.1]; ')  
    disp(' ')
    disp('After you have entered the lists, check that')
    disp('they match up by entering the command')
    disp('  [time;level]''  ')
    disp('to see the data in table form.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('----------------------------------------------')
    disp('Step 1: ')
    disp('We can make a scatter plot of the data')
    disp('pairs (time,level) by using the MATLAB')
    disp('plot command.  We will use little-o''s')
    disp('to mark each data point.  We will also')
    disp('label the axes and give the plot a title.')
    disp(' ')
    disp('Copy the following commands and paste them at')
    disp('a MATLAB prompt, then execute them.')
    disp(' ')
    disp('  plot(time,level,''o'') ')
    disp('  xlabel(''time (days) '')  ')
    disp('  ylabel(''radioactivity level (rads)'')  ')
    disp('  title(''The Meyer-von Schweidler Data'') ')
    disp(' ')
    disp('Respond to Step 1 questions about the data')
    disp('here.  Write as MATLAB comments in your')
    disp('diary file.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    disp('----------------------------------------------')
    disp('Step 2: ')
    disp('To make a semilog plot of our data, we will')
    disp('plot the pairs (time, log(level)).')
    disp('Then we will hold the plot so that we can add')
    disp('lines of best fit to it later.')
    disp(' ')
    disp('Copy the following commands and paste them at')
    disp('a MATLAB prompt, then execute them.')
    disp(' ')
    disp('  plot(time,log(level),''+'') ')
    disp('  xlabel(''time (days) '')  ')
    disp('  ylabel(''log( radioactivity level )'')  ')
    disp('  title(''SemiLog Plot of Meyer-v.S. Data'') ')
    disp('  hold on  ')
    disp(' ')
    disp('Respond to questions in Step 2 here.')
    disp('Write as MATLAB comments in your diary file.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')

    disp('----------------------------------------------')
    disp('Steps 3 and 4: ')
    disp('We want to calculate coefficients m= slope')
    disp('and c= y-intercept for a line that best fits')
    disp('the semilog plot.')  
    disp('Inspection of the semilog plot shows that')
    disp('the linear pattern has slope around -0.08')
    disp('and y-intercept about 3.5. ')
    disp(' ')
    disp('----------------------------------------------')
    disp('Enter values for m and c into MATLAB')
    disp('as your first guess.')
    disp(' ')
    disp('----------------------------------------------')
    disp('To plot our line on top of the semilog plot,')
    disp('we first define a vector of t values.')
    disp('Then the command: y=m*t+c  calculates the ')
    disp('corresponding vector of y values at once,')
    disp('and we can make the (t,y) plot.')
    disp(' ')
    disp('Copy the following commands and paste them at')
    disp('a MATLAB prompt, then execute them.')
    disp(' ')
    disp('  t=0:1:45; ')
    disp('  y=m*t+c;')
    disp('  plot(t,y,''r'') ')
    disp('  axis([0, 45, 0, log(35.0)]) ')
    disp(' ')
    disp('----------------------------------------------')
    disp('You should see a red line appear on the semilog')
    disp('plot.  Your mission is to iteratively change')
    disp('the values of m and c and re-execute the above')
    disp('commands until your line fits the data well.')
    disp('Do so. ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')

    disp('----------------------------------------------')
    disp('Step 5: ')
    disp('Calculate the constants for a model function of')
    disp('the form  y=y0*b^t. Use the names  y0  and  b ')
    disp('for these constants and enter them into MATLAB.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')

    disp('----------------------------------------------')
    disp('Step 5 (cont.): ')
    disp('Now that you have defined y0 and b, we can')
    disp('plot the model function y=y0*b^t to see how')
    disp('well it fits the original (time,level) data.')
    disp(' ')
    disp('Copy the following commands and paste them at')
    disp('a MATLAB prompt, then execute them.')
    disp(' ')
    disp('  hold off ')
    disp('  plot(time,level,''o'') ')
    disp('  xlabel(''time (days) '')  ')
    disp('  ylabel(''radioactivity level (rads)'')  ')
    disp('  title(''The Meyer-von Schweidler Data'') ')
    disp('  hold on ')
    disp('  t=0:1:45; ')
    disp('  y=y0*b.^t;')
    disp('  plot(t,y,''r'') ')
    disp(' ')
    disp('If you are not satisfied with the fit, adjust')
    disp('the values of y0 and b to make the fit better')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')

    disp('----------------------------------------------')
    disp('To go on to Part 3 of this module,')
    disp('type: raddec3')
    disp(' ')


